summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2010-10-11 18:26:33 +0000
committerAlexis Ballier <aballier@gentoo.org>2010-10-11 18:26:33 +0000
commit9da889a8be837fde61796eea5e854e78baa8ac2f (patch)
treeb7f3fc974d1bbed9bb3bc4df62fbf4af6d7c8528 /eclass/texlive-module.eclass
parentVersion bumped. (diff)
downloadgentoo-2-9da889a8be837fde61796eea5e854e78baa8ac2f.tar.gz
gentoo-2-9da889a8be837fde61796eea5e854e78baa8ac2f.tar.bz2
gentoo-2-9da889a8be837fde61796eea5e854e78baa8ac2f.zip
Use unpack if our EAPI allows to unpack .xz files
Diffstat (limited to 'eclass/texlive-module.eclass')
-rw-r--r--eclass/texlive-module.eclass22
1 files changed, 13 insertions, 9 deletions
diff --git a/eclass/texlive-module.eclass b/eclass/texlive-module.eclass
index 27c2018709fa..7cba53f64dc3 100644
--- a/eclass/texlive-module.eclass
+++ b/eclass/texlive-module.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/texlive-module.eclass,v 1.34 2010/01/13 15:16:49 fauli Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/texlive-module.eclass,v 1.35 2010/10/11 18:26:33 aballier Exp $
# @ECLASS: texlive-module.eclass
# @MAINTAINER:
@@ -107,14 +107,18 @@ if [ "${PV#2008}" == "${PV}" ]; then
RELOC_TARGET=texmf-dist
texlive-module_src_unpack() {
- local i s
- for i in ${A}
- do
- s="${DISTDIR%/}/${i}"
- einfo "Unpacking ${s} to ${PWD}"
- test -s "${s}" || die "${s} does not exist"
- xz -dc -- "${s}" | tar xof - || die "Unpacking ${s} failed"
- done
+ if has "${EAPI:-0}" 0 1 2 ; then
+ local i s
+ for i in ${A}
+ do
+ s="${DISTDIR%/}/${i}"
+ einfo "Unpacking ${s} to ${PWD}"
+ test -s "${s}" || die "${s} does not exist"
+ xz -dc -- "${s}" | tar xof - || die "Unpacking ${s} failed"
+ done
+ else
+ unpack ${A}
+ fi
grep RELOC tlpkg/tlpobj/* | awk '{print $2}' | sed 's#^RELOC/##' > "${T}/reloclist"
{ for i in $(<"${T}/reloclist"); do dirname $i; done; } | uniq > "${T}/dirlist"
for i in $(<"${T}/dirlist"); do